#include <SocketStream.h>
#include <ServerSocketStream.h>
#include <ClientSocketStream.h>
#include <thread>
#include <atomic>
#include <chrono>
#include <fstream>
#include <stdio.h>

using namespace std;

char peer1_0[] = {
0x00, 0x9c, 0x00, 0x01, 0x1a, 0x2b, 0x3c, 0x4d, 
0x00, 0x02, 0x00, 0x00, 0x01, 0x00, 0x01, 0x00, 
0x00, 0x00, 0x00, 0x02, 0x00, 0x00, 0x00, 0x03, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x4d, 0x69, 0x63, 0x72, 
0x6f, 0x73, 0x6f, 0x66, 0x74, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
0x00, 0x00, 0x00, 0x00 };
char peer1_1[] = {
0x00, 0x20, 0x00, 0x01, 0x1a, 0x2b, 0x3c, 0x4d, 
0x00, 0x08, 0x00, 0x00, 0xdc, 0x20, 0x72, 0x82, 
0x01, 0x00, 0x00, 0x00, 0x80, 0xf9, 0x37, 0x03, 
0x40, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00 };
char peer1_2[] = {
0x00, 0x10, 0x00, 0x01, 0x1a, 0x2b, 0x3c, 0x4d, 
0x00, 0x0c, 0x00, 0x00, 0xdc, 0x20, 0x00, 0x00 };
char peer1_3[] = {
0x00, 0x10, 0x00, 0x01, 0x1a, 0x2b, 0x3c, 0x4d, 
0x00, 0x04, 0x00, 0x00, 0x01, 0x00, 0x00, 0x00 };

int main()
{	
	ServerSocketStream stream;
	stream.bind(8009);
	SocketStream s = stream.waitForNewConnection();
	cin.get();
	char buff[10000];
	s.receive(buff,10000);
	s.send(peer1_0,sizeof(peer1_0));
	s.receive(buff,10000);
	s.send(peer1_1,sizeof(peer1_1));
	s.receive(buff,10000);
	s.send(peer1_2,sizeof(peer1_2));
	s.receive(buff,10000);
	s.send(peer1_3,sizeof(peer1_3));
	cin.get();
}